var daysinmths = new Array(31, 59, 90, 120, 151, 181, 212, 243, 273, 304, 334, 364);  // Days in each month during non-leap year
												    // December exception for Quadrate
// Use Months array from dates.js

var bcards = new Array('KS', 'QS', 'JS', '10S', '9S', '8S', '7S', '6S', '5S', '4S', '3S', '2S', 'AS', 
                       'KD', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD', 
                       'KC', 'QC', 'JC', '10C', '9C', 'JS', '10S', '9S', '8S', '7S', '6S', '5S', '4S','3S', '2S', 'AS',
                       'KD', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9S', '8S', '7S', '6S', '5S', '4S', '3S', '2S', 'AS',
                       'KD', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '7S', '6S', '5S', '4S','3S', '2S', 'AS',
                       'KD', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '5S', '4S','3S', '2S', 'AS',
                       'KD', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC', '3S', '2S', 'AS',
                       'KD', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC', 'KH', 'AS',
                       'KD', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC',
                       'KH', 'QH', 'JH', '10H', 'QD', 'JD', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC',
                       'KH', 'QH', 'JH', '10H', '9H', '8H', '10D', '9D', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC',
                       'KH', 'QH', 'JH', '10H', '9H', '8H', '7H', '8D', '7D', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC',
                       'KH', 'QH', 'JH', '10H', '9H', '8H', '7H', '6H', '5H', '4H', '6D', '5D', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC',
                       'KH', 'QH', 'JH', '10H', '9H', '8H', '7H', '6H', '5H', '4H', '3H', '4D', '3D', '2D', 'AD',
                       'KC', 'QC', 'JC', '10C', '9C', '8C', '7C', '6C', '5C', '4C', '3C', '2C', 'AC',
                       'KH', 'QH', 'JH', '10H', '9H', '8H', '7H', '6H', '5H', '4H', '3H', '2H', 'AH');

var icards = new Array(52) ;
for (var i=0; i < 52; i++) { icards[i] = new Array(1); }
icards[0][0] = 'AH'; 
icards[0][1] = 'c1';
icards[1][0] = '2H';
icards[1][1] = 'c2';
icards[2][0] = '3H';
icards[2][1] = 'c3';
icards[3][0] = '4H';
icards[3][1] = 'c4';
icards[4][0] = '5H';
icards[4][1] = 'c5';
icards[5][0] = '6H';
icards[5][1] = 'c6';
icards[6][0] = '7H';
icards[6][1] = 'c7';
icards[7][0] = '8H';
icards[7][1] = 'c8';
icards[8][0] = '9H';
icards[8][1] = 'c9';
icards[9][0] = '10H';
icards[9][1] = 'c10';
icards[10][0] = 'JH';
icards[10][1] = 'c11';
icards[11][0] = 'QH';
icards[11][1] = 'c12';
icards[12][0] = 'KH';
icards[12][1] = 'c13';
icards[13][0] = 'AC';
icards[13][1] = 'c14';
icards[14][0] = '2C';
icards[14][1] = 'c15';
icards[15][0] = '3C';
icards[15][1] = 'c16';
icards[16][0] = '4C';
icards[16][1] = 'c17';
icards[17][0] = '5C';
icards[17][1] = 'c18';
icards[18][0] = '6C';
icards[18][1] = 'c19';
icards[19][0] = '7C';
icards[19][1] = 'c20';
icards[20][0] = '8C';
icards[20][1] = 'c21';
icards[21][0] = '9C';
icards[21][1] = 'c22';
icards[22][0] = '10C';
icards[22][1] = 'c23';
icards[23][0] = 'JC';
icards[23][1] = 'c24';
icards[24][0] = 'QC';
icards[24][1] = 'c25';
icards[25][0] = 'KC';
icards[25][1] = 'c26';
icards[26][0] = 'AD';
icards[26][1] = 'c27';
icards[27][0] = '2D';
icards[27][1] = 'c28';
icards[28][0] = '3D';
icards[28][1] = 'c29';
icards[29][0] = '4D';
icards[29][1] = 'c30';
icards[30][0] = '5D';
icards[30][1] = 'c31';
icards[31][0] = '6D';
icards[31][1] = 'c32';
icards[32][0] = '7D';
icards[32][1] = 'c33';
icards[33][0] = '8D';
icards[33][1] = 'c34';
icards[34][0] = '9D';
icards[34][1] = 'c35';
icards[35][0] = '10D';
icards[35][1] = 'c36';
icards[36][0] = 'JD';
icards[36][1] = 'c37';
icards[37][0] = 'QD';
icards[37][1] = 'c38';
icards[38][0] = 'KD';
icards[38][1] = 'c39';
icards[39][0] = 'AS';
icards[39][1] = 'c40';
icards[40][0] = '2S';
icards[40][1] = 'c41';
icards[41][0] = '3S';
icards[41][1] = 'c42';
icards[42][0] = '4S';
icards[42][1] = 'c43';
icards[43][0] = '5S';
icards[43][1] = 'c44';
icards[44][0] = '6S';
icards[44][1] = 'c45';
icards[45][0] = '7S';
icards[45][1] = 'c46';
icards[46][0] = '8S';
icards[46][1] = 'c47';
icards[47][0] = '9S';
icards[47][1] = 'c48';
icards[48][0] = '10S';
icards[48][1] = 'c49';
icards[49][0] = 'JS';
icards[49][1] = 'c50';
icards[50][0] = 'QS';
icards[50][1] = 'c51';
icards[51][0] = 'KS';
icards[51][1] = 'c52';

var psignnum = new Array(52);
psignnum[0] = new Array('AH', 'AD', 'QD', '5H', '3C', '3S', '9H', '7C');
psignnum[1] = new Array('2H', 'KH', 'KD', '6H', '4C', '2D', 'JS', '8C');
psignnum[2] = new Array('3H', 'AC', 'QC', '10S', '5C', '3D', 'AS', '7H');
psignnum[3] = new Array('4H', '4D', '2S', '8H', '6C', '6S', 'QH', '10C');
psignnum[4] = new Array('5H', '3C', '3S', '9H', '7C', '5D', 'QS', 'JC');
psignnum[5] = new Array('6H', '4C', '2D', 'JS', '8C', '6D', '4S', '10H');
psignnum[6] = new Array('7H', '7D', '5S', 'JH', '9C', '9S', '2H', 'KH');
psignnum[7] = new Array('8H', '6C', '6S', 'QH', '10C', '8D', 'KS', '3H');
psignnum[8] = new Array('9H', '7C', '5D', 'QS', 'JC', '9D', '7S', '2C');
psignnum[9] = new Array('10H', '10D', '8S', 'AH', 'AD', 'QD', '5H', '3C');
psignnum[10] = new Array('JH', '9C', '9S', '2H', 'KH', 'KD', '6H', '4C');
psignnum[11] = new Array('QH', '10C', '8D', 'KS', '3H', 'AC', 'QC', '10S');
psignnum[12] = new Array('KH', 'KD', '6H', '4C', '2D', 'JS', '8C', '6D');
psignnum[13] = new Array('AC', 'QC', '10S', '5C', '3D', 'AS', '7H', '7D');
psignnum[14] = new Array('2C', 'KC', 'JD', '4H', '4D', '2S', '8H', '6C');
psignnum[15] = new Array('3C', '3S', '9H', '7C', '5D', 'QS', 'JC', '9D');
psignnum[16] = new Array('4C', '2D', 'JS', '8C', '6D', '4S', '10H', '10D');
psignnum[17] = new Array('5C', '3D', 'AS', '7H', '7D', '3S', 'JH', '9C');
psignnum[18] = new Array('6C', '6S', 'QH', '10C', '8D', 'KS', '3H', 'AC');
psignnum[19] = new Array('7C', '5D', 'QS', 'JC', '9D', '7S', '2C', 'KC');
psignnum[20] = new Array('8C', '6D', '4S', '10H', '10D', '8S', 'AH', 'AD');
psignnum[21] = new Array('9C', '9S', '2H', 'KH', 'KD', '6H', '4C', '2D');
psignnum[22] = new Array('10C', '8D', 'KS', '3H', 'AC', 'QC', '10S', '3C'); 
psignnum[23] = new Array('JC', '9D', '7S', '2C', 'KC', 'JD', '4H', '4D');
psignnum[24] = new Array('QC', '10S', '5C', '3D', 'AS', '7H', '7D', '5S');
psignnum[25] = new Array('KC', 'JD', '4H', '4D', '2S', '8H', '6C', '6S');
psignnum[26] = new Array('AD', 'QD', '5H', '3C', '3S', '9H', '7C', '5D');
psignnum[27] = new Array('2D', 'JS', '8C', '6D', '4S', '10H', '10D', '8S');
psignnum[28] = new Array('3D', 'AS', '7H', '7D', '5S', 'JH', '9C', '9S');
psignnum[29] = new Array('4D', '2S', '8H', '6C', '6S', 'QH', '10C', '8D');
psignnum[30] = new Array('5D', 'QS', 'JC', '9D', '7S', '2C', 'KC', 'JD');
psignnum[31] = new Array('6D', '4S', '10H', '10D', '8S', 'AH', 'AD', 'QD');
psignnum[32] = new Array('7D', '5S', 'JH', '9C', '9S', '2H', 'KH', 'KD');
psignnum[33] = new Array('8D', 'KS', '3H', 'AC', 'QC', '10S', '5C', '3D');
psignnum[34] = new Array('9D', '7S', '2C', 'KC', 'JD', '4H', '4D', '2S');
psignnum[35] = new Array('10D','8S', 'AH', 'AD', 'QD', '5H', '3C', '3S');
psignnum[36] = new Array('JD', '4H', '4D', '2S', '8H', '6C', '6S', 'QH');
psignnum[37] = new Array('QD', '5H', '3C', '3S', '9H', '7C', '5D', 'QS');
psignnum[38] = new Array('KD', '6H', '4C', '2D', 'JS', '8C', '6D', '4S');
psignnum[39] = new Array('AS', '7H', '7D', '5S', 'JH', '9C', '9S', '2H');
psignnum[40] = new Array('2S', '8H', '6C', '6S', 'QH', '10C', '8D', 'KS');
psignnum[41] = new Array('3S', '9H', '7C', '5D', 'QS', 'JC', '9D', '7S');
psignnum[42] = new Array('4S', '10H', '10D', '8S', 'AH', 'AD', 'QD', '5H');
psignnum[43] = new Array('5S', 'JH', '9C', '9S', '2H', 'KH', 'KD', '6H');
psignnum[44] = new Array('6S', 'QH', '10C', '8D', 'KS', '3H', 'AC', 'QC');
psignnum[45] = new Array('7S', '2C', 'KC', 'JD', '4H', '4D', '2S', '8H');
psignnum[46] = new Array('8S', 'AH', 'AD', 'QD', '5H', '3C', '3S', '9H');
psignnum[47] = new Array('9S', '2H', 'KH', 'KD', '6H', '4C', '2D', 'JS');
psignnum[48] = new Array('10S', '5C', '3D', 'AS', '7H', '7D', '5S', 'JH');
psignnum[49] = new Array('JS', '8C', '6D', '4S', '10H', '10D', '8S', 'AH');
psignnum[50] = new Array('QS', 'JC', '9D', '7S', '2C', 'KC', 'JD', '4H');
psignnum[51] = new Array('KS', '3H', 'AC', 'QC', '10S', '5C', '3D', 'AS');

// Seasonals
var seasonqs = new Array(90);
for (var i=0; i < 90; i++) {
  seasonqs[i] = ((i*4) - ((Math.floor((i*4)/90) * 90)));
  seasonqs[i] = (i > 0 && seasonqs[i] == 0) ? 90 : seasonqs[i];
}


// Direct Array for Quadrate Soul
var platesp = new Array('JS', 'QS', 'KS', 'AH', '2H', '3H', '4H', '5H', '6H', '7H', 
				'8H', '9H', '10H', 'JH', 'QH', 'KH', 'AC', '2C', '3C', '4C', 
				'5C', '6C', '7C', '8C', '9C', '10C', 'JC', 'QC', 'KC', 'AD',
				'2D', '3D', '4D', '5D', '6D', '7D', '8D', '9D', '10D', 'JD',
				'QD', 'KD', 'AS', '2S', '3S', '4S', '5S', '6S', '7S', '8S', '9S', '10S');

// Direct Array for Quadrate 0
var plate00 = new Array('10C', '8D', 'KS', '3H', 'AC', 'QC', '10S', '5C', '3D', 'AS',
				'7H', '7D', '5S', 'JH', '9C', '9S', '2H', 'KH', 'KD', '6H',
				'4C', '2D', 'JS', '8C', '6D', '4S', '10H', '10D', '8S', 'AH',
				'AD', 'QD', '5H', '3C', '3S', '9H', '7C', '5D', 'QS', 'JC',
				'9D', '7S', '2C', 'KC', 'JD', '4H', '4D', '2S', '8H', '6C', '6S', 'QH');

// Direct Array for Quadrate 1
var plate01 = new Array('4S', '7C', 'KS', 'QC', '2H', '10D', 'QH', '4C', 'QD', '2C', 
				'AS', '9H', '4D', 'JH', '6D', '6S', 'AC', '9S', '7S', '3D',
				'6H', 'AD', '10C', '8C', '3S', '4H', '5S', 'QS', '6C', '3H',
				'AH', '9D', '5C', 'KD', 'JD', '7D', 'JS', '3C', '8D', '10H', 
				'5D', '8H', 'KH', '8S', 'JC', '10S', '5H', 'KC', '7H', '2D', '2S', '9C');

// Direct Array for Quadrate 2
var plate02 = new Array('4H', 'JS', 'KS', '10D', 'AC', 'QS', '9C', '6H', '9D', 'KH', 
				'2C', '7D', '5H', 'JH', '3S', '2S', '2H', '6S', '8H', 'QD', 
				'3D', 'AH', '4S', '8C', 'JD', '10S', '4D', '8D', '2D', 'QC',
				'3H', '5D', '4C', '7S', 'JC', '9H', '10C', 'KD', '7C', '5S', 
				'3C', '7H', '9S', '6C', '10H', 'QH', '5C', '8S', 'AS', 'AD', 'KC', '6D');

// Direct Array for Quadrate 3
var plate03 = new Array('10S', '10C', 'KS', 'QS', '2H', '8D', '6D', '3D', '5D', '9S', 
				'KH', '9H', '5C', 'JH', 'JD', 'KC', 'AC', '2S', '7H', '9D',
				'QD', '3H', '4H', '8C', 'JC', 'QH', '5H', '7C', 'AD', '10D',
				'QC', '3C', '6H', '8H', '10H', '7D', '4S', '7S', 'JS', '4D', 
				'KD', 'AS', '6S', '2D', '5S', '9C', '4C', '6C', '2C', 'AH', '8S', '3S');

// Direct Array for Quadrate 4
var plate04 = new Array('QH', '4S', 'KS', '8D', 'AC', '7C', '3S', 'QD', '3C', '6S', 
				'9S', '7D', '4C', 'JH', 'JC', '8S', '2H', 'KC', 'AS', '5D',
				'9D', 'QC', '10S', '8C', '10H', '9C', '5C', 'JS', 'AH', 'QS',
				'10D', 'KD', '3D', '7H', '5S', '9H', '4H', '8H', '10C', '5H',
				'7S', '2C', '2S', 'AD', '4D', '6D', '6H', '2D', 'KH', '3H', '6C', 'JD');

// Direct Array for Quadrate 5
var plate05 = new Array('9C', '4H', 'KS', '7C', '2H', 'JS', 'JD', '9D', 'KD', '2S', 
				'6S', '9H', '6H', 'JH', '10H', '6C', 'AC', '8S', '2C', '3C',
				'5D', '10D', 'QH', '8C', '5S', '6D', '4C', '10C', '3H', '8D',
				'QS', '7S', 'QD', 'AS', '4D', '7D', '10S', '7H', '4S', '5C',
				'8H', 'KH', 'KC', 'AH', '5H', '3S', '3D', 'AD', '9S', 'QC', '2D', 'JC');

// Direct Array for Quadrate 6
var plate06 = new Array('6D', '10S', 'KS', 'JS', 'AC', '10C', 'JC', '5D', '7S', 'KC', 
				'2S', '7D', '3D', 'JH', '5S', '2D', '2H', '6C', 'KH', 'KD',
				'3C', 'QS', '9C', '8C', '4D', '3S', '6H', '4S', 'QC', '7C',
				'8D', '8H', '9D', '2C', '5H', '9H', 'QH', 'AS', '4H', '4C',
				'7H', '9S', '8S', '3H', '5C', 'JD', 'QD', 'AH', '6S', '10D', 'AD', '10H');

// Direct Array for Quadrate 7
var plate07 = new Array('3S', 'QH', 'KS', '10C', '2H', '4S', '10H', '3C', '8H', '8S', 
				'KC', '9H', 'QD', 'JH', '4D', 'AD', 'AC', '2D', '9S', '7S',
				'KD', '8D', '6D', '8C', '5H', 'JD', '3D', '4H', '10D', 'JS',
				'7C', '7H', '5D', 'KH', '5C', '7D', '9C', '2C', '10S', '6H',
				'AS', '6S', '6C', 'QC', '4C', 'JC', '9D', '3H', '2S', 'QS', 'AH', '5S');

// Direct Array for Quadrate 8    
var plate08 = new Array('JD', '9C', 'KS', '4S', 'AC', '4H', '5S', 'KD', '7H', '6C', 
				'8S', '7D', '9D', 'JH', '5H', 'AH', '2H', 'AD', '6S', '8H',
				'7S', '7C', '3S', '8C', '5C', 'JC', 'QD', '10S', 'QS', '10C',
				'JS', 'AS', '3C', '9S', '4C', '9H', '6D', 'KH', 'QH', '3D', 
				'2C', '2S', '2D', '10D', '6H', '10H', '5D', 'QC', 'KC', '8D', '3H', '4D');

// Direct Array for Quadrate 9  
var plate09 = new Array('JC', '6D', 'KS', '4H', '2H', '10S', '4D', '7S', 'AS', '2D',
				'6C', '9H', '5D', 'JH', '5C', '3H', 'AC', 'AH', '2S', '7H',
				'8H', 'JS', 'JD', '8C', '4C', '10H', '9D', 'QH', '8D', '4S',
				'10C', '2C', 'KD', '6S', '6H', '7D', '3S', '9S', '9C', 'QD',
				'KH', 'KC', 'AD', 'QS', '3D', '5S', '3C', '10D', '8S', '7C', 'QC', '5H');

// Direct Array for Quadrate 10 
var plate10 = new Array('10H', '3S', 'KS', '10S', 'AC', 'QH', '5H', '8H', '2C', 'AD', 
				'2D', '7D', '3C', 'JH', '4C', 'QC', '2H', '3H', 'KC', 'AS',
				'7H', '10C', 'JC', '8C', '6H', '5S', '5D', '9C', '7C', '4H',
				'4S', 'KH', '7S', '2S', '3D', '9H', 'JD', '6S', '6D', '9D', 
				'9S', '8S', 'AH', '8D', 'QD', '4D', 'KD', 'QS', '6C', 'JS', '10D', '5C');

// Direct Array for Quadrate 11  
var plate11 = new Array('5S', 'JD', 'KS', 'QH', '2H', '9C', '5C', '7H', 'KH', 'AH',
				'AD', '9H', 'KD', 'JH', '6H', '10D', 'AC', 'QC', '8S', '2C',
				'AS', '4S', '10H', '8C', '3D', '4D', '3C', '6D', 'JS', '10S',
				'4H', '9S', '8H', 'KC', 'QD', '7D', 'JC', '2S', '3S', '5D', 
				'6S', '6C', '3H', '7C', '9D', '5H', '7S', '8D', '2D', '10C', 'QS', '4C');

// Direct Array for Quadrate 12 
var plate12 = new Array('4D', 'JC', 'KS', '9C', 'AC', '6D', '4C', 'AS', '9S', '3H', 
				'AH', '7D', '7S', 'JH', '3D', 'QS', '2H', '10D', '6C', 'KH',
				'2C', '4H', '5S', '8C', 'QD', '5H', 'KD', '3S', '10C', 'QH',
				'10S', '6S', '7H', '8S', '9D', '9H', '10H', 'KC', 'JD', '3C', 
				'2S', '2D', 'QC', 'JS', '5D', '5C', '8H', '7C', 'AD', '4S', '8D', '6H');

// Direct Array for Quadrate 13  
var plate13 = new Array('5H', '10H', 'KS', '6D', '2H', '3S', '6H', '2C', '6S', 'QC', 
				'3H', '9H', '8H', 'JH', 'QD', '8D', 'AC', 'QS', '2D', '9S', 
				'KH', '10S', '4D', '8C', '9D', '5C', '7S', 'JD', '4S', '9C', 
				'QH', '2S', 'AS', '6C', '5D', '7D', '5S', '8S', 'JC', 'KD', 
				'KC', 'AD', '10D', '10C', '3C', '4C', '7H', 'JS', 'AH', '4H', '7C', '3D');

// Direct Array for Quadrate 14 
var plate14 = new Array('5C', '5S', 'KS', '3S', 'AC', 'JD', '3D', 'KH', '2S', '10D', 
				'QC', '7D', '7H', 'JH', '9D', '7C', '2H', '8D', 'AD', '6S',
				'9S', 'QH', '5H', '8C', '5D', '4C', '8H', 'JC', '4H', '6D',
				'9C', 'KC', '2C', '2D', '3C', '9H', '4D', '6C', '10H', '7S',
				'8S', 'AH', 'QS', '4S', 'KD', '6H', 'AS', '10C', '3H', '10S', 'JS', 'QD');

// Direct Array for Quadrate 15  
var plate15 = new Array('4C', '4D', 'KS', 'JD', '2H', 'JC', 'QD', '9S', 'KC', 'QS',
				'10D', '9H', 'AS', 'JH', '5D', 'JS', 'AC', '7C', 'AH', '2S',
				'6S', '9C', '5C', '8C', '3C', '6H', '7H', '10H', '10S', '3S',
				'6D', '8S', 'KH', 'AD', 'KD', '7D', '5H', '2D', '5S', '8H', 
				'6C', '3H', '8D', '4H', '7S', '3D', '2C', '4S', 'QC', 'QH', '10C', '9D');

// Direct Array for Quadrate 16  
var plate16 = new Array('6H', '5H', 'KS', 'JC', 'AC', '10H', '9D', '6S', '8S', '8D',
				'QS', '7D', '2C', 'JH', '3C', '10C', '2H', 'JS', '3H', 'KC',
				'2S', '6D', '4C', '8C', 'KD', '3D', 'AS', '5S', 'QH', 'JD', 
				'3S', '6C', '9S', 'AH', '7S', '9H', '5C', 'AD', '4D', '7H',
				'2D', 'QC', '7C', '10S', '8H', 'QD', 'KH', '4H', '10D', '9C', '4S', '5D');

// Direct Array for Quadrate 17
var plate17 = new Array('3D', '5C', 'KS', '10H', '2H', '5S', '5D', '2S', '6C', '7C', 
				'8D', '9H', 'KH', 'JH', 'KD', '4S', 'AC', '10C', 'QC', '8S',
				'KC', '3S', '6H', '8C', '7S', 'QD', '2C', '4D', '9C', 'JC', 
				'JD', '2D', '6S', '3H', '8H', '7D', '4C', 'AH', '5H', 'AS',
				'AD', '10D', 'JS', 'QH', '7H', '9D', '9S', '10S', 'QS', '6D', '4H', '3C');

// Direct Array for Quadrate 18  
var plate18 = new Array('QD', '4C', 'KS', '5S', 'AC', '4D', '3C', 'KC', '2D', 'JS',
				'7C', '7D', '9S', 'JH', '7S', '4H', '2H', '4S', '10D', '6C', 
				'8S', 'JD', '3D', '8C', '8H', '9D', 'KH', '5H', '6D', '10H',
				'JC', 'AD', '2S', 'QC', '7H', '9H', '6H', '3H', '5C', '2C',
				'AH', 'QS', '10C', '9C', 'AS', '5D', '6S', 'QH', '8D', '3S', '10S', 'KD');

// Direct Array for Quadrate 19  
var plate19 = new Array('9D', '6H', 'KS', '4D', '2H', '5H', 'KD', '8S', 'AD', '10C', 
				'JS', '9H', '6S', 'JH', '8H', '10S', 'AC', '4H', 'QS', '2D',
				'6C', 'JC', 'QD', '8C', '7H', '5D', '9S', '5C', '3S', '5S', 
				'10H', 'AH', 'KC', '10D', 'AS', '7D', '3D', 'QC', '4C', 'KH',
				'3H', '8D', '4S', '6D', '2C', '3C', '2S', '9C', '7C', 'JD', 'QH', '7S');

// Direct Array for Quadrate 20  
var plate20 = new Array('5D', '3D', 'KS', '5H', 'AC', '5C', '7S', '6C', 'AH', '4S',
				'10C', '7D', '2S', 'JH', '7H', 'QH', '2H', '10S', '8D', 'AD',
				'2D', '10H', '9D', '8C', 'AS', '3C', '6S', '4C', 'JD', '4D',
				'5S', '3H', '8S', 'QS', '2C', '9H', 'QD', '10D', '6H', '9S', 
				'QC', '7C', '4H', '3S', 'KH', 'KD', 'KC', '6D', 'JS', 'JC', '9C', '8H');

// Direct Array for Quadrate 21  
var plate21 = new Array('3C', 'QD', 'KS', '5C', '2H', '4C', '8H', '2D', '3H', '4H',
				'4S', '9H', 'KC', 'JH', 'AS', '9C', 'AC', 'QH', '7C', 'AH',
				'AD', '5S', '5D', '8C', '2C', 'KD', '2S', '6H', 'JC', '5H',
				'4D', 'QC', '6C', '8D', 'KH', '7D', '9D', 'QS', '3D', '6S', 
				'10D', 'JS', '10S', 'JD', '9S', '7S', '8S', '3S', '10C', '10H', '6D', '7H');

// Direct Array for Quadrate 22  
var plate22 = new Array('KD', '9D', 'KS', '4C', 'AC', '6H', '7H', 'AD', 'QC', '10S',
				'4H', '7D', '8S', 'JH', '2C', '6D', '2H', '9C', 'JS', '3H',
				'AH', '4D', '3C', '8C', 'KH', '7S', 'KC', '3D', '10H', '5C',
				'5H', '10D', '2D', '7C', '9S', '9H', '5D', '8D', 'QD', '2S',
				'QS', '10C', 'QH', 'JC', '6S', '8H', '6C', 'JD', '4S', '5S', '3S', 'AS');

// Direct Array for Quadrate 23  
var plate23 = new Array('7S', '5D', 'KS', '6H', '2H', '3D', 'AS', 'AH', '10D', 'QH', 
				'10S', '9H', '6C', 'JH', 'KH', '3S', 'AC', '6D', '10C', 'QC',
				'3H', '5H', 'KD', '8C', '9S', '8H', '8S', 'QD', '5S', '4C',
				'5C', 'QS', 'AD', 'JS', '6S', '7D', '3C', '7C', '9D', 'KC',
				'8D', '4S', '9C', '10H', '2S', '7H', '2D', 'JC', '4H', '4D', 'JD', '2C');

// Direct Array for Quadrate 24  
var plate24 = new Array('8H', '3C', 'KS', '3D', 'AC', 'QD', '2C', '3H', 'QS', '9C',
				'QH', '7D', '2D', 'JH', '9S', 'JD', '2H', '3S', '4S', '10D',
				'QC', '5C', '7S', '8C', '6S', '7H', '6C', '9D', '4D', '6H',
				'4C', '8D', 'AH', '10C', '2S', '9H', 'KD', 'JS', '5D', '8S',
				'7C', '4H', '6D', '5S', 'KC', 'AS', 'AD', '10H', '10S', '5H', 'JC', 'KH');

// Direct Array for Quadrate 25  
var plate25 = new Array('7H', 'KD', 'KS', 'QD', '2H', '9D', 'KH', 'QC', '8D', '6D',
				'9C', '9H', 'AD', 'JH', '6S', 'JC', 'AC', 'JD', '4H', 'QS',
				'10D', '4C', '8H', '8C', '2S', 'AS', '2D', '5D', '5H', '3D',
				'6H', '7C', '3H', '4S', 'KC', '7D', '7S', '10C', '3C', '6C',
				'JS', '10S', '3S', '4D', '8S', '2C', 'AH', '5S', 'QH', '5C', '10H', '9S');

// Direct Array for Quadrate 26  
var plate26 = new Array('AS', '7S', 'KS', '9D', 'AC', '5D', '9S', '10D', '7C', '3S', 
				'6D', '7D', 'AH', 'JH', '2S', '10H', '2H', 'JC', '10S', '8D',
				'QS', '6H', '7H', '8C', 'KC', '2C', 'AD', '3C', '5C', 'QD', 
				'3D', 'JS', 'QC', '4H', '8S', '9H', '8H', '4S', 'KD', '2D',
				'10C', 'QH', 'JD', '5H', '6C', 'KH', '3H', '4D', '9C', '4C', '5S', '6S');

// Direct Array for Quadrate 27  
var plate27 = new Array('2C', '8H', 'KS', '5D', '2H', '3C', '6S', 'QS', 'JS', 'JD',
				'3S', '9H', '3H', 'JH', 'KC', '5S', 'AC', '10H', 'QH', '7C',
				'8D', '3D', 'AS', '8C', '8S', 'KH', 'AH', 'KD', '4C', '9D',
				'QD', '10C', '10D', '10S', '6C', '7D', '7H', '4H', '7S', 'AD', 
				'4S', '9C', 'JC', '5C', '2D', '9S', 'QC', '5H', '6D', '6H', '4D', '2S');

// Direct Array for Quadrate 28  
var plate28 = new Array('KH', '7H', 'KS', '3C', 'AC', 'KD', '2S', '8D', '10C', 'JC',
				'JD', '7D', 'QC', 'JH', '8S', '4D', '2H', '5S', '9C', 'JS',
				'7C', 'QD', '2C', '8C', '6C', '9S', '3H', '7S', '6H', '5D',
				'9D', '4S', 'QS', 'QH', '2D', '9H', 'AS', '10S', '8H', 'AH',
				'4H', '6D', '10H', '4C', 'AD', '6S', '10D', '5C', '3S', '3D', '5H', 'KC');

// Direct Array for Quadrate 29  
var plate29 = new Array('9S', 'AS', 'KS', 'KD', '2H', '7S', 'KC', '7C', '4S', '10H',
				'JC', '9H', '10D', 'JH', '6C', '5H', 'AC', '4D', '6D', '10C',
				'JS', '9D', 'KH', '8C', '2D', '6S', 'QC', '8H', '3D', '3C',
				'5D', '4H', '8D', '9C', 'AD', '7D', '2C', 'QH', '7H', '3H',
				'10S', '3S', '5S', '6H', 'AH', '2S', 'QS', '4C', 'JD', 'QD', '5C', '8S');

// Direct Array for Quadrate 30  
var plate30 = new Array('6S', '2C', 'KS', '7S', 'AC', '8H', '8S', 'JS', '4H', '5S', 
				'10H', '7D', 'QS', 'JH', '2D', '5C', '2H', '5H', '3S', '4S',
				'10C', '5D', '9S', '8C', 'AD', '2S', '10D', '7H', 'QD', 'KD',
				'3C', '10S', '7C', '6D', 'AH', '9H', 'KH', '9C', 'AS', 'QC', 
				'QH', 'JD', '4D', '3D', '3H', 'KC', '8D', '6H', 'JC', '9D', '4C', '6C');

// Direct Array for Quadrate 31  
var plate31 = new Array('2S', 'KH', 'KS', '8H', '2H', '7H', '6C', '10C', '10S', '4D',
				'5S', '9H', '8D', 'JH', 'AD', '4C', 'AC', '5C', 'JD', '4H',
				'4S', '3C', '6S', '8C', 'AH', 'KC', 'QS', 'AS', '9D', '7S', 
				'KD', 'QH', 'JS', '3S', '3H', '7D', '9S', '6D', '2C', '10D', 
				'9C', 'JC', '5H', 'QD', 'QC', '8S', '7C', '3D', '10H', '5D', '6H', '2D');

// Direct Array for Quadrate 32  
var plate32 = new Array('KC', '9S', 'KS', '7H', 'AC', 'AS', '2D', '4S', 'QH', '5H',
				'4D', '7D', '7C', 'JH', 'AH', '6H', '2H', '4C', 'JC', '10S', 
				'4H', 'KD', '2S', '8C', '3H', '8S', '8D', '2C', '5D', '8H',
				'7S', '9C', '10C', 'JD', 'QC', '9H', '6S', '3S', 'KH', 'QS',
				'6D', '10H', '5C', '9D', '10D', '6C', 'JS', 'QD', '5S', '3C', '3D', 'AD');

// Direct Array for Quadrate 33  
var plate33 = new Array('8S', '6S', 'KS', 'AS', '2H', '2C', 'AD', '4H', '9C', '5C',
				'5H', '9H', 'JS', 'JH', '3H', '3D', 'AC', '6H', '10H', 'QH',
				'10S', '7S', 'KC', '8C', 'QC', '6C', '7C', 'KH', '3C', '7H',
				'8H', '6D', '4S', 'JC', '10D', '7D', '2S', 'JD', '9S', '8D',
				'3S', '5S', '4C', '5D', 'QS', '2D', '10C', '9D', '4D', 'KD', 'QD', 'AH');

// Direct Array for Quadrate 34  
var plate34 = new Array('6C', '2S', 'KS', '2C', 'AC', 'KH', 'AH', '10S', '6D', '4C',
				'5C', '7D', '10C', 'JH', 'QC', 'QD', '2H', '3D', '5S', '9C',
				'QH', '8H', '8S', '8C', '10D', '2D', 'JS', '9S', 'KD', 'AS',
				'7H', '3S', '4H', '10H', 'QS', '9H', 'KC', 'JC', '6S', '7C',
				'JD', '4D', '6H', '3C', '8D', 'AD', '4S', '5D', '5H', '7S', '9D', '3H');

// Direct Array for Quadrate 35  
var plate35 = new Array('2D', 'KC', 'KS', 'KH', '2H', '9S', '3H', 'QH', '3S', '6H',
				'4C', '9H', '4S', 'JH', '10D', '9D', 'AC', 'QD', '4D', '6D',
				'9C', '7H', '6C', '8C', 'QS', 'AD', '10C', '6S', '7S', '2C',
				'AS', 'JD', '10S', '5S', '8D', '7D', '8S', '10H', '2S', 'JS',
				'JC', '5H', '3D', 'KD', '7C', 'AH', '4H', '3C', '5C', '8H', '5D', 'QC');

// Direct Array for Quadrate 36  
var plate36 = new Array('AD', '8S', 'KS', '9S', 'AC', '6S', 'QC', '9C', 'JD', '3D', 
				'6H', '7D', '4H', 'JH', 'QS', '5D', '2H', '9D', '5H', '3S',
				'6D', 'AS', '2D', '8C', '8D', 'AH', '4S', '2S', '8H', 'KH', 
				'2C', 'JC', 'QH', '4D', '7C', '9H', '6C', '5S', 'KC', '10C', 
				'10H', '5C', 'QD', '7S', 'JS', '3H', '10S', 'KD', '4C', '7H', '3C', '10D');

// Direct Array for Quadrate 37  
var plate37 = new Array('AH', '6C', 'KS', '6S', '2H', '2S', '10D', '6D', 'JC', 'QD',
				'3D', '9H', '10S', 'JH', '8D', '3C', 'AC', '5D', '5C', 'JD',
				'3S', '2C', 'AD', '8C', '7C', '3H', '4H', 'KC', '7H', '9S',
				'KH', '10H', '9C', '5H', 'JS', '7D', '2D', '4D', '8S', '4S',
				'5S', '4C', '9D', '8H', '10C', 'QC', 'QH', '7S', '6H', 'AS', 'KD', 'QS');

// Direct Array for Quadrate 38  
var plate38 = new Array('3H', '2D', 'KS', '2S', 'AC', 'KC', 'QS', '3S', '10H', '9D',
				'QD', '7D', 'QH', 'JH', '7C', 'KD', '2H', '3C', '4C', 'JC' ,
				'JD', 'KH', 'AH', '8C', 'JS', 'QC', '10S', '8S', 'AS', '6S',
				'9S', '5S', '6D', '5C', '10C', '9H', 'AD', '5H', '6C', '4H',
				'4D', '6H', '5D', '7H', '4S', '10D', '9C', '8H', '3D', '2C', '7S', '8D');

// Direct Array for Quadrate 39  
var plate39 = new Array('QC', 'AD', 'KS', 'KC', '2H', '8S', '8D', 'JD', '5S', '5D',
				'9D', '9H', '9C', 'JH', 'JS', '7S', 'AC', 'KD', '6H', '10H',
				'JC', '9S', '3H', '8C', '10C', '10D', 'QH', '6C', '2C', '2S',
				'6S', '4D', '3S', '4C', '4S', '7D', 'AH', '5C', '2D', '10S',
				'5H', '3D', '3C', 'AS', '4H', 'QS', '6D', '7H', 'QD', 'KH', '8H', '7C');

// Direct Array for Quadrate 40  
var plate40 = new Array('10D', 'AH', 'KS', '8S', 'AC', '6C', '7C', 'JC', '4D', '3C',
				'5D', '7D', '6D', 'JH', '10C', '8H', '2H', '7S', '3D', '5S',
				'10H', '6S', 'QC', '8C', '4S', 'QS', '9C', '2D', 'KH', 'KC',
				'2S', '5H', 'JD', '6H', '4H', '9H', '3H', '4C', 'AD', 'QH',
				'5C', 'QD', 'KD', '2C', '10S', '8D', '3S', 'AS', '9D', '9S', '7H', 'JS');

// Direct Array for Quadrate 41  
var plate41 = new Array('QS', '3H', 'KS', '6C', '2H', '2D', 'JS', '10H', '5H', 'KD',
				'3C', '9H', '3S', 'JH', '4S', '7H', 'AC', '8H', 'QD', '4D',
				'5S', '2S', '10D', '8C', '4H', '8D', '6D', 'AD', '9S', '8S',
				'KC', '5C', 'JC', '3D', '10S', '7D', 'QC', '6H', 'AH', '9C',
				'4C', '9D', '7S', 'KH', 'QH', '7C', 'JD', '2C', '5D', '6S', 'AS', '10C');

// Direct Array for Quadrate 42  
var plate42 = new Array('8D', 'QC', 'KS', '2D', 'AC', 'AD', '10C', '5S', '5C', '7S',
				'KD', '7D', 'JD', 'JH', '4H', 'AS', '2H', '7H', '9D', '5H',
				'4D', 'KC', 'QS', '8C', '10S', '7C', '3S', 'AH', '6S', '6C',
				'8S', '4C', '10H', 'QD', 'QH', '9H', '10D', '3D', '3H', '6D',
				'6H', '5D', '8H', '9S', '9C', 'JS', 'JC', 'KH', '3C', '2S', '2C', '4S');

// Direct Array for Quadrate 43  
var plate43 = new Array('7C', '10D', 'KS', 'AD', '2H', 'AH', '4S', '4D', '4C', '8H',
				'7S', '9H', 'JC', 'JH', '10S', '2C', 'AC', 'AS', '5D', '5C',
				'5H', '8S', '8D', '8C', 'QH', 'JS', 'JD', '3H', '2S', '2D', 
				'6C', '6H', '5S', '9D', '9C', '7D', 'QS', 'QD', 'QC', '3S', 
				'3D', '3C', '7H', '6S', '6D', '10C', '10H', '9S', 'KD', 'KC', 'KH', '4H');

// Direct Array for Quadrate 44
var plate44 = new Array('JS', 'QS', 'KS', 'AH', 'AC', '3H', '4H', '5H', '6H', '7H',
				'8H', '7D', '10H', 'JH', 'QH', 'KH', '2H', '2C', '3C', '4C',
				'5C', '6C', '7C', '8C', '9C', '10C', 'JC', 'QC', 'KC', 'AD',
				'2D', '3D', '4D', '5D', '6D', '7D', '8D', '9D', '10D', 'JD',
				'QD', 'KD', 'AS', '2S', '3S', '4S', '5S', '6S', '7S', '8S', '9S', '10S');

// Direct Array for Quadrate 45  
var plate45 = new Array('10C', '8D', 'KS', '3H', '2H', 'QC', '10S', '5C', '3D', 'AS',
				'7H', '9H', '5S', 'JH', '9C', '9S', 'AC', 'KH', 'KD', '6H',
				'4C', '2D', 'JS', '8C', '6D', '4S', '10H', '10D', '8S', 'AH',
				'AD', 'QD', '5H', '3C', '3S', '7D', '7C', '5D', 'QS', 'JC', 
				'9D', '7S', '2C', 'KC', 'JD', '4H', '4D', '2S', '8S', '6C', '6S', 'QH');

var loadImgs = new Array(); 
for(i=0; i<52; i++) {
  loadImgs[i] = new Image;
  loadImgs[i].src = "images2/" + icards[i][1] + ".gif";
}
loadImgs[52] = new Image;
loadImgs[52].src = "images2/c0.gif";
for(i=0; i<52; i++) {
  loadImgs[i] = new Image;
  loadImgs[i].src = "images3/" + icards[i][1] + ".gif";
}
loadImgs[52] = new Image;
loadImgs[52].src = "images3/c0.gif";



// Verticals id sequence
var vseq = new Array(45,38,31,24,17,10,3,
			   46,39,32,25,18,11,4,
			   47,40,33,26,19,12,5,0,
			   48,41,34,27,20,13,6,1,
			   49,42,35,28,21,14,7,2,
			   50,43,36,29,22,15,8,
			   51,44,37,30,23,16,9,
			   45,38,31,24,17,10,3,
			   46);
