   var Months = new Array(12);
	Months[0] = "Jan";
	Months[1] = "Feb";
	Months[2] = "Mar";
	Months[3] = "Apr";
	Months[4] = "May";
	Months[5] = "Jun";
	Months[6] = "Jul";
	Months[7] = "Aug";
	Months[8] = "Sep";
	Months[9] = "Oct";
	Months[10] = "Nov";
	Months[11] = "Dec";

/* The functions in this file primarily work with IE5.0+ and NN6.0+.
 *
 * These functions will also work for IE4.0 due to a 
 * document.getELemenById remapping script that is executed in layers.js
*/

function checkdate(objName) {
   var datefield = objName;
   if (chkdate(objName) == false) {
	return false;
   }
   else {
	return true;
   }
}


function chkdate(objName) {
   var strDatestyle = "US"; //United States date style
 //var strDatestyle = "EU";  //European date style
   var strDate;
   var strDateArray;
   var strDay;
   var strMonth;
   var strYear;
   var intday;
   var intMonth;
   var intYear;
   var booFound = false;
   var datefield = objName;
   var strSeparatorArray = new Array("-"," ","/",".");
   var intElementNr;
   var err = 0;
   strDate = datefield.value;

   if (strDate.length < 1) {
	return true;
   }

   for (intElementNr = 0; intElementNr < strSeparatorArray.length; intElementNr++) {
	if (strDate.indexOf(strSeparatorArray[intElementNr]) != -1) {
	   strDateArray = strDate.split(strSeparatorArray[intElementNr]);
	   if (strDateArray.length != 3) {
		err = 1;
		return false;
	   }
	   else {
		strDay = strDateArray[0];
		strMonth = strDateArray[1];
		strYear = strDateArray[2];
	   }

	   booFound = true;
	}
   }

   if (booFound == false) {
	if (strDate.length>5) {
	   strDay = strDate.substr(0, 2);
	   strMonth = strDate.substr(2, 2);
	   strYear = strDate.substr(4);
	}
   }

   if (strYear.length == 2) {
	strYear = '20' + strYear;
   }

   // US style
   if (strDatestyle == "US") {
	strTemp = strDay;
	strDay = strMonth;
	strMonth = strTemp;
   }
   intday = parseInt(strDay, 10);
   if (isNaN(intday)) {
	err = 2;
	return false;
   }

   intMonth = parseInt(strMonth, 10);
   if (isNaN(intMonth)) {
	for (i = 0;i<12;i++) {
	   if (strMonth.toUpperCase() == Months[i].toUpperCase()) {
		intMonth = i+1;
		strMonth = Months[i];
		i = 12;
	   }
	}

	if (isNaN(intMonth)) {
	   err = 3;
	   return false;
	}
   }

   intYear = parseInt(strYear, 10);
   if (isNaN(intYear)) {
	err = 4;
	return false;
   }

   if (intMonth>12 || intMonth<1) {
	err = 5;
	return false;
   }

   if ((intMonth == 1 || intMonth == 3 || intMonth == 5 || intMonth == 7 || intMonth == 8 || intMonth == 10 || intMonth == 12) && (intday > 31 || intday < 1)) {
	err = 6;
	return false;
   }

   if ((intMonth == 4 || intMonth == 6 || intMonth == 9 || intMonth == 11) && (intday > 30 || intday < 1)) {
	err = 7;
	return false;
   }

   if (intMonth == 2) {
	if (intday < 1) {
	   err = 8;
	   return false;
	}

	if (LeapYear(intYear) == true) {
	   if (intday > 29) {
		err = 9;
		return false;
	   }
	}
	else {
	   if (intday > 28) {
		err = 10;
		return false;
	   }
	}
   }

   if (strDatestyle == "US") {
	datefield.value = Months[intMonth-1] + " " + intday+" " + strYear;
   }
   else {
	datefield.value = intday + " " + Months[intMonth-1] + " " + strYear;
   }

   return true;
}


function LeapYear(intYear) {
   if (intYear % 100 == 0) {
	if (intYear % 400 == 0) { return true; }
   }
   else {
	if ((intYear % 4) == 0) { return true; }
   }

   return false;
}


// Check for valid date. If valid, format the date.
//
function valDate(dateFld, dateName) {
  var checkStr = "";
  var checkLen = 0;
  var today = new Date();

  checkStr = document.getElementById(dateName).value;
  checkLen = document.getElementById(dateName).value.length;

  if (checkdate(dateFld)) {
    var indate = document.getElementById(dateName).value;
    indate     = rTrim(indate);
    var inyear = indate.toString().substring(indate.length-4, indate.length);
    var inmth  = indate.toString().substring(0, 3);
    for (i=0; i<Months.length; i++) {
      if (Months[i] == inmth) break;
    }
    inmth = i+1;
    inday = indate.toString().substring(4, 6);
    var indate = new Date(inyear, parseFloat(inmth)-1, inday);
  }
  else {
    alert("Invalid Date.");
    return (false);
  }

  return (true);
}

function rTrim (s) {
   return s.replace( /\s*$/, "" );
}


